Subject: Re: [PATCH v2 00/17] IB/Verbs: IB Management Helpers

From: Michael Wang <[email-masked]>
Date: Wed, 08 Apr 2015 14:41:18 +0200

On 04/08/2015 01:38 PM, Tom Talpey wrote:
> On 4/7/2015 8:25 AM, Michael Wang wrote:
>> Mapping List:
>>         node-type    link-layer    old-transport    new-transport
>> nes        RNIC        ETH        IWARP        IWARP
>> amso1100    RNIC        ETH        IWARP        IWARP
>> cxgb3       RNIC        ETH        IWARP        IWARP
>> cxgb4       RNIC        ETH        IWARP        IWARP
>> usnic       USNIC_UDP    ETH        USNIC_UDP    USNIC_UDP
>> ocrdma      IB_CA        ETH        IB        IBOE
>> mlx4        IB_CA        IB/ETH        IB        IB/IBOE
>> mlx5        IB_CA        IB        IB        IB
>> ehca        IB_CA        IB        IB        IB
>> ipath       IB_CA        IB        IB        IB
>> mthca       IB_CA        IB        IB        IB
>> qib         IB_CA        IB        IB        IB
> 
> Can I rewind to ask a high-level question - what's the testing
> plan for all of this? Do you have folks lined up for verifying
> each of these adapters/networks, and what tests will they run?

I think no one can have the access to all these hardware, so we can
only depends on those who accidentally have one to help the testing,
but it's still far from that stage..

Besides, the logical is not very complex in this part, all the
mapping could find corresponding code as proof, so reviewing
carefully then give a public testing on some tree may could be
a plan too?

But yes, I won't be able to give an exhaustive testing by myself
and no one is backing me on that currently :-P me too are waiting
for the answers on how to assure the quality for patch set like this...

Regards,
Michael Wang

--
To unsubscribe from this list: send the line "unsubscribe linux-rdma" in
the body of a message to [email-masked]
More majordomo info at  http://vger.kernel.org/majordomo-info.html